Bug 704744 - when a config update fails due to a failure on the Agent side and returns a status of FAILURE, the GUI still shows a green message saying "Configuration update succeeded."
when a config update fails due to a failure on the Agent side and returns a s...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2011-05-14 10:42 EDT by Ian Springer
Modified: 2013-09-03 12:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-05-14 10:42:52 EDT
Instead it should show a red message saying the update failed.
Comment 1 Ian Springer 2011-05-14 10:46:34 EDT
Also, once the user clicks the Save button to save a config, we should display a modal window saying "Configuration update in progress...", since config updates can take a few seconds and to prevent the user from trying to make further edits in the config editor. The modal would go away once the update completed, and at that point the user would be redirected to the History subtab and shown the message indicating whether the update succeeded or failed.
Comment 2 Charles Crouch 2011-05-23 18:18:28 EDT
I don't think a modal dialog is the best option, since people should be allowed to navigate to other parts of the app while the config update is being executed, we just dont want to let them edit the config anymore. So can we not just make the readonly as soon as Save is clicked?
Comment 3 Simeon Pinder 2011-06-05 08:45:52 EDT
The problem here is that the UI message is wrong and attempts to do too much. The message is thrown by the pluginConfigurationEditor when an asynchronous call to the server side is not successful.  The message content is wrong because it attempts to indicate the completed status of the asynch method that can realistically take a while to complete and got through 'in progress', 'failed', etc. The most that we can do here is say that we 'initiated' the configuration update process and expect the user to go to the Config History section to monitor the progress later, much like a scheduled operation.    

Fixed in master with commit:
8e5afecf3ca30d98f5d6711f18e70060b8d95a14

Changed ui message to indicate whether initiation successful only. 

Moving to ON_QA.
Comment 4 Sunil Kondkar 2011-06-08 07:43:04 EDT
Verified on build#123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

Created a compatible group of datasource resources and changed a config value in the configuration tab of the group. Clicking on the Save button navigates to the history tab and displays a message 'The group configuration updates have been initiated'.

Also verified this by shutting down one resource and doing a config update. It displays the message 'The group configuration updates have been initiated' and on refreshing the history list, the failure status of the config update is displayed.

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-03 12:57:38 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.